<?php
	$db = null;
	$qrys = array();
	$c = 0;
		
	function dbConnect($database, $host = 'localhost', $user = 'root', $pass = '', $getError = true)
	{
		global $db;
		
		if ($db != null)
			return;
		try	
		{
			$pdo_options[PDO::ATTR_ERRMODE] = PDO::ERRMODE_EXCEPTION;
			$db = new PDO('mysql:host=' . $host . ';dbname=' . $database, $user, $pass, $pdo_options);
		}	
		catch (Exception $e)
		{
			if ($getError)
				die('Error: ' . $e->getMessage());
			else
				die('Error: Can\'t connect to database');
		}
	}
	
	function load($query, $count = -1)
	{
		global $db;
		global $qrys;
		global $c;
		
		if ($count == -1)
			$count = $c;
		if (checkDB())
			return;
		$qrys[$count] = $db->prepare($query);
		$c++;
	}
	
	function push()
	{
		global $qrys;
		global $c;
		
		$count = $c - 1;
		if (checkDB() || checkCount())
			return;
		$qrys[$count]->execute(func_get_args());
	}
	
	function query($query, $count = -1)
	{
		global $db;
		global $qrys;
		global $c;
		
		if ($count == -1)
			$count = $c;
		if (checkDB())
			return;
		$qrys[$count] = $db->query($query);
		$c++;
	}
	
	function fetch($count = -1)
	{
		global $qrys;
		global $c;
		
		if ($count == -1)
			$count = $c - 1;
		if (checkDB() || checkCount())
			return;
		return $qrys[$count]->fetch();
	}
	
	function checkDB()
	{
		global $db;
		
		if ($db == null)
		{
			echo 'DB Error: No connexion established to the database';
			return true;
		}
	}
	
	function checkCount()
	{
		global $c;
		
		if ($c < 0)
		{
			echo 'DB Error: No query prepared';
			return true;
		}
	}
?>